<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/account/adhoc" prefix="adhoc" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <tags:style url="/css/buttons.bar.css" />
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- My Account > Ad-Hoc Emails > Ad-Hoc Email --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="account.manage.title" /></tags:link>
    > <tags:link url="/accounts/ManageTransfers"><fmt:message key="AdHocTransfer.title.manage" /></tags:link>
    > <fmt:message key="AdHocTransfer.title.view" />
</div><br/>

<h1><fmt:message key="AdHocTransfer.title.view" /></h1>
<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.subsystems.adhoctransfer.web.ViewHelper" scope="request"/>
<jsp:setProperty name="viewHelper" property="transferHash" param="h" />
<c:set var="managedTransfer" value="${viewHelper.managedTransferVO}" />

<div id="account">
    <table class="layout">
        <tr><td><fmt:message key="AdHocTransfer.label.sender" /></td><td><c:out value="${managedTransfer.sender}" /></td></tr>
        <tr><td><fmt:message key="AdHocTransfer.label.date" /></td><td><c:out value="${managedTransfer.dispatchDate}" /></td></tr>
        <tr><td><fmt:message key="AdHocTransfer.label.recipient" /></td><td><c:out value="${managedTransfer.recipient}" /></td></tr>
        <tr><td><fmt:message key="AdHocTransfer.label.message" /></td><td><adhoc:message value="${managedTransfer.message}" maxLength="${40}" /></td></tr>
    </table><br/><br/>

    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/EditTransfer" />
    <form action="${actionUrl}" method="post" id="itemsform">
        <tags:input type="hidden" name="h" value="${managedTransfer.id}" />
        <input type="hidden" name="newexpires" id="newexpires" />
        <div id="buttonsbar">
            <tags:button name="revokeitem" id="revokeitem" icon="/img/revokebtn.gif" labelkey="AdHocTransfer.button.revoke" disabled="true"/>&nbsp;
            <tags:button name="extenditem" id="extenditem" icon="/img/extendbtn.gif" labelkey="AdHocTransfer.button.extend" disabled="true"/>&nbsp;
            <tags:link url="/accounts/ManageTransfers">&laquo; <fmt:message key="AdHocTransfer.button.backToManage" /></tags:link>
        </div>

        <table class="data" id="itemslist">
            <col width="1%"/><col width="26%" /><col width="34%"/><col width="12%"/><col width="17%"/><col width="10%"/>
            <thead>
                <tr><tags:input type="checkbox" name="all" id="selectall" value="true" disabled="${fn:length(managedTransfer.files) == 0}">
                    <jsp:attribute name="template">
                        <th>${inputTag}</th>
                    </jsp:attribute>
                    </tags:input>
                    <th><fmt:message key="AdHocTransfer.header.name"/></th>
                    <th><fmt:message key="AdHocTransfer.header.path"/></th>
                    <th><fmt:message key="AdHocTransfer.header.downloads"/></th>
                    <th><fmt:message key="AdHocTransfer.header.expires"/></th>
                    <th><fmt:message key="AdHocTransfer.header.status"/></th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="item" items="${managedTransfer.files}">
                    <tr>
                        <td><tags:input type="checkbox" name="file" value="${item.id}"/></td>
                        <td><c:out value="${item.name}" /></td>
                        <td><c:out value="${item.path}"/></td>
                        <td><c:out value="${item.downloadCount}" /></td>
                        <td><c:if test="${not item.revoked}">
                            <span class="erasable">${item.expirationDate.time}</span><fmt:formatDate value="${item.expirationDate}" type="both" pattern="MMM dd yyyy HH:mm:ss"/>
                            </c:if></td>
                        <td class="ac"><adhoc:status item="${item}" /></td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>
    </form>
</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>
<%@ include file="js/init-edit.jspf"%>

</body>
</html>