<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags/account/keymanager" prefix="keystore" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>

<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.subsystems.authentication.keystore.web.ViewHelper" scope="request" />


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <%@ include file="/WEB-INF/jspf/js/utils.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css"/>
    <%@ include file="/WEB-INF/jspf/version.jspf" %>
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <style type="text/css">table td {white-space:nowrap;}</style>
    <script type="text/javascript" language="javascript">if (top == self) { top.location.href = '<c:url value="/" />'; }</script>
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf" %>
<tags:responseResult result="${requestScope.responseResult}" />

<c:url var="actionUrl" value="/accounts/ImportKey" />
<form action="${actionUrl}" method="post" enctype="multipart/form-data">
    <tags:input type="hidden" name="c" value="${viewHelper.formChallenge}" />
    <tags:input type="hidden" name="importkey" value="true" />

    <table class="layout">
        <tags:input type="file" name="file" required="true" size="41">
            <jsp:attribute name="label">
                <fmt:message key="KeyManager.label.publicKey" />
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tr>
            <td><tags:label required="true"><fmt:message key="KeyManager.label.fileType"/></tags:label></td>
            <td><keystore:filetype name="filetype" items="${fn:join(viewHelper.importKeyFileFormats, ',')}">
                    <jsp:attribute name="selected">
                        <c:out value="${param.filetype}" default="SSH" />
                    </jsp:attribute>
                </keystore:filetype></td>
        </tr>
    </table>
</form>

</body>
</html>