<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>

<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.users.ViewHelper" scope="request" />
<c:set var="selectedTemplate"><c:out value="${param.template}" default="${viewHelper.accountTemplateNames[0]}" /></c:set>
<jsp:setProperty name="viewHelper" property="templateId" value="${selectedTemplate}" />
<c:set var="cannedUser" value="${viewHelper.cannedUserVO}" scope="request" />
<c:set var="isFormSubmission" value="${'POST' eq pageContext.request.method and not empty param['save']}" scope="request"/>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <%@ include file="/WEB-INF/jspf/version.jspf"%>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <tags:script url="/js/utils.js" version="${buildVersion}"/>
    <tags:script url="/js/KeyEvent.js" version="${buildVersion}"/>
    <tags:script url="/js/editor/NumberEditor.js" version="${buildVersion}"/>
    <tags:script url="/js/editor/DateEditor.js" version="${buildVersion}"/>
    <tags:script url="/js/editor/DateFormat.js" version="${buildVersion}"/>
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > New user account --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title" /></tags:link>
    > <fmt:message key="admin.create.user.title" />
</div><br/>

<h1><fmt:message key="admin.create.user.title"/></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />
    <c:url var="actionUrl" value="/accounts/AddUser" />
    <form action="${actionUrl}" method="post">
        <input type="hidden" name="templateupdate" id="templateupdate" value="false"/>
        <fieldset>
            <legend><fmt:message key="admin.user.info"/></legend>
            <table class="layout">
                <tags:select name="template" items="${viewHelper.accountTemplateNames}" selected="${selectedTemplate}">
                    <jsp:attribute name="label">
                        <fmt:message key="label.template"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr>
                            <td>${labelTag}</td>
                            <td>${selectTag}
                                <script type="text/javascript">Event.bindReady(function() { Event.observe($("template"),"change",function() {var c=$("templateupdate");c.value=true;c.form.submit();}); });</script>
                            </td>
                        </tr>
                    </jsp:attribute>
                </tags:select>
                <%@ include file="info.jspf" %>
            </table><br/>
            <%@ include file="../options.jspf" %>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.user.paths" /></legend>
            <div>
                <tags:input type="text" name="path" required="true" size="45">
                    <jsp:attribute name="label">
                        <fmt:message key="label.path.root" />
                    </jsp:attribute>
                    <jsp:attribute name="value">
                        <c:out value="${param.path}" default="${viewHelper.defaultRootPath}" />
                    </jsp:attribute>
                </tags:input>
            </div>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.user.quotas"/></legend>
            <c:choose>
                <c:when test="${viewHelper.quotaShared}">
                    <fmt:message key="admin.user.quotas.shared.info">
                        <fmt:param><b>${viewHelper.account.username}</b></fmt:param>
                    </fmt:message>
                </c:when>
                <c:otherwise>
                    <%@ include file="../quota/userQuotas.jspf"%>
                </c:otherwise>
            </c:choose>
        </fieldset>

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.ok" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel" formnovalidate="">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>

</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>

</body>
</html>