<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>
<%@ taglib tagdir="/WEB-INF/tags/file" prefix="file" %>
<%@ taglib tagdir="/WEB-INF/tags/file/permission" prefix="permission" %>

<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.users.ViewHelper" scope="request" />
<c:set var="managedUser" value="${viewHelper.managedUserVO}" scope="request"/>
<c:set var="isFormSubmission" value="${'POST' eq pageContext.request.method and not empty param['save']}" scope="request"/>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <%@ include file="/WEB-INF/jspf/version.jspf" %>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <tags:script url="/js/utils.js" version="${buildVersion}"/>
    <tags:script url="/js/Action.js" version="${buildVersion}"/>
    <tags:script url="/js/KeyEvent.js" version="${buildVersion}"/>
    <tags:script url="/js/editor/NumberEditor.js" version="${buildVersion}"/>
    <tags:script url="/js/editor/DateEditor.js" version="${buildVersion}"/>
    <tags:script url="/js/editor/DateFormat.js" version="${buildVersion}"/>
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > Edit user account --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title" /></tags:link>
    > <fmt:message key="admin.edit.user.title"><fmt:param value="${fn:escapeXml(managedUser.login)}" /></fmt:message>
</div><br/>

<h1><fmt:message key="admin.edit.user.title">
        <fmt:param>
            <c:out value="${managedUser.login}" />
            <c:if test="${not empty managedUser.username}">&nbsp;(${fn:escapeXml(managedUser.username)})</c:if>
        </fmt:param>
    </fmt:message></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/EditUser" />
    <form action="${actionUrl}" method="post" id="usersform">
        <tags:input type="hidden" name="id" value="${managedUser.id}" />
        <fieldset>
            <legend><fmt:message key="admin.user.info" /></legend>
            <table class="layout">
                <%@ include file="info.jspf" %>
            </table><br/>
            <%@ include file="../options.jspf" %>
        </fieldset>

        <%@ include file="../path/manage.jspf" %>

        <fieldset>
            <legend><fmt:message key="admin.user.quotas"/></legend>
            <c:choose>
                <c:when test="${viewHelper.quotaShared}">
                    <fmt:message key="admin.user.quotas.shared.info">
                        <fmt:param><b>${viewHelper.account.username}</b></fmt:param>
                    </fmt:message>
                </c:when>
                <c:otherwise>
                    <%@ include file="../quota/userQuotas.jspf"%>
                </c:otherwise>
            </c:choose>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.edit.user.DirectoryMonitors"/></legend>
            <table class="data">
                <thead>
                    <tr><th><fmt:message key="header.directory"/></th><th><fmt:message key="header.quota"/></th></tr>
                </thead>
                <tbody>
                <c:forEach var="monitor" items="${viewHelper.managedUserDirectoryMonitors}">
                    <tr><td>${monitor.pathname}</td>
                        <td align="right"><c:if test="${not empty monitor.quota}">
                            <fmt:message key="label.quota.usage">
                                <fmt:param><file:size value="${monitor.quota.currentValue}"/></fmt:param>
                                <fmt:param><file:size value="${monitor.quota.value}"/></fmt:param>
                            </fmt:message>
                        </c:if></td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </fieldset>

        <%@ include file="ipaccess/manage.jspf" %>

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.save" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel" formnovalidate="">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>

</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>

</body>
</html>