<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>

<jsp:useBean id="webConfig" scope="request" type="com.jscape.inet.mft.management.common.WebConfiguration" />


<%@ include file="header.jspf" %>

<h1><fmt:message key="Login.TITLE"/></h1>
<p><fmt:message key="Login.INFO" /></p>

<tags:responseResult result="${requestScope.responseResult}">
    <jsp:attribute name="errorTitle"><fmt:message key="Error.MESSAGE_TITLE"/></jsp:attribute>
</tags:responseResult>

<div id="login">
    <c:url var="loginUrl" value="${not empty requestScope.loginActionUrl ? requestScope.loginActionUrl : '/action/login'}" />
    <form action="${loginUrl}" method="post" accept-charset="utf-8">
        <c:set var="isDomainFieldVisible" value="${webConfig.domainVisible or empty webConfig.defaultDomain}" />
        <c:if test="${!isDomainFieldVisible}">
            <tags:input type="hidden" name="domain" value="${webConfig.defaultDomain}"/>
        </c:if>
        <c:if test="${not empty param.continue}">
            <tags:input type="hidden" name="continue" value="${param.continue}"/>
        </c:if>
        <table>
            <c:if test="${isDomainFieldVisible}">
                <tags:input type="text" name="domain" required="true" size="25">
                    <jsp:attribute name="label">
                        <fmt:message key="Label.DOMAIN"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                    </jsp:attribute>
                    <jsp:attribute name="value">
                        ${not empty param.domain ? param.domain :
                         (not empty webConfig.defaultDomain ? webConfig.defaultDomain : requestScope.domain)}
                    </jsp:attribute>
                </tags:input>
            </c:if>

            <tags:input type="text" name="username" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="Label.USERNAME"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
                <jsp:attribute name="value">
                    ${not empty param.username ? param.username : requestScope.username}
                </jsp:attribute>
            </tags:input>

            <tags:input type="password" name="password" required="true" size="25">
                <jsp:attribute name="label">
                    <fmt:message key="Label.PASSWORD"/>
                </jsp:attribute>
                <jsp:attribute name="template">
                    <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                </jsp:attribute>
            </tags:input>
        </table><br/>

        <c:if test="${requestScope.isUiSelectionAllowed}">
            <%@ include file="userInterface.jspf"%>
        </c:if>

        <tags:button icon="/img/login.gif" labelkey="Button.LOGIN" />

        <c:if test="${webConfig.lostPasswordEnabled}">
            <div class="spacer"> </div>
            <tags:link url="/LostPassword" id="lostpassword">
                <fmt:message key="Link.LOST_PASSWORD" />
            </tags:link>
        </c:if>
    </form>

    <div id="footer"><fmt:message key="Login.FOOTER" /></div>
</div>

<%@ include file="/WEB-INF/jspf/footer.jspf" %>