<%@ tag body-content="empty" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<%@ attribute name="file" required="true" type="com.jscape.inet.mft.transport.web.common.WebFileInfo" %>
<%@ attribute name="directory" type="java.lang.Boolean" %>
<%@ attribute name="maxLength" type="java.lang.Integer" %>

<c:set var="filename" value="${directory ? fn:substringBefore(file.path, file.name) : file.name}" />
<tags:ellipsis var="truncatedName" value="${filename}" maxLength="${maxLength}" />
<c:set var="displayName" value="${fn:replace(truncatedName,'  ',' &nbsp;')}"/>
<c:url var="fileLink" value="${directory ? '/action/cwd' : '/action/dload'}">
    <c:param name="filename">${directory ? filename : file.path}</c:param>
</c:url>
<c:set var="escapedPath" value="${fn:escapeXml(file.path)}" />

<c:choose>
    <c:when test="${directory}">
        <a href="${fileLink}" title="${fn:escapeXml(filename)}" onclick="changeWorkingDirectoryAction('${filename}'); return false;">${displayName}</a>
    </c:when>
    <c:otherwise>
        <a href="${fileLink}" path="${escapedPath}" title="${escapedPath}" class="file ${not empty file.cssClass ? file.cssClass : ''}">${displayName}</a>
    </c:otherwise>
</c:choose>