var KeystoreController = Class.create({

    view: null,
    generateUrl: null,
    importUrl: null,

    _constructor: function(generateKeyPairUrl, importKeyUrl) {
        this.view = new KeystoreView();
        this.generateUrl = generateKeyPairUrl || "";
        this.importUrl = importKeyUrl || "";
    },

    start: function() {
        this.view.show(this);
    },

    onGenerateKey: function(view) {
        view.showMessage(null);

        var dialog = new GenerateKeyDialog(this.generateUrl);
        dialog.show({
            onSubmit: this._onSubmitGenerateKey.bind(this),
            onCancel: this._onCancelGenerateKey.bind(this),
            onDone: this._onDoneGenerateKey.bind(this)
        });
    },

    onImportKey: function(view) {
        view.showMessage(null);

        var dialog = new ImportKeyDialog(this.importUrl);
        dialog.show({
            onSubmit: this._onSubmitImportKey.bind(this),
            onCancel: this._onCancelImportKey.bind(this),
            onDone: this._onDoneImportKey.bind(this)
        });
    },

    _onSubmitGenerateKey: function(dialog) {
        var form = dialog.getForm();
        if (form != null) {
            form.submit();
        }
    },

    _onCancelGenerateKey: function(dialog) {
        dialog.hide();
    },

    _onDoneGenerateKey: function(dialog) {
        var message = dialog.getDoneMessage();
        var url = dialog.getDownloadUrl();
        dialog.hide();

        this.view.showMessage(message);
        var channel = new IFrameChannel("KeystoreDownloadChannel");
        channel.open(url);
        channel.send("");
    },

    _onSubmitImportKey: function(dialog) {
        var form = dialog.getForm();
        if (form != null) {
            form.submit();
        }
    },

    _onCancelImportKey: function(dialog) {
        dialog.hide();
    },

    _onDoneImportKey: function(dialog) {
        this.view.showMessage(dialog.getDoneMessage());
        dialog.hide();
    }

});