var KeystoreView = Class.create({

    messageBar: null,
    generateKeyButton: null,
    importKeyButton: null,

    listener: null,

    _constructor: function() {
        this.messageBar = $("messagebar");
        this.generateKeyButton = $("generatekey");
        this.importKeyButton = $("importkey");

        Event.observe(this.generateKeyButton, "click", this._handleGenerateKey.bindAsEventListener(this));
        Event.observe(this.importKeyButton, "click", this._handleImportKey.bindAsEventListener(this));
    },

    show: function(listener) {
        this.listener = Object.extend(KeystoreView.Listener, listener);
    },

    showMessage: function(text) {
        while (this.messageBar.hasChildNodes()) {
            this.messageBar.removeChild(this.messageBar.lastChild);
        }
        if (text != null) {
            this.messageBar.appendChild(this._createSuccessMessage(text));
        }
    },

    _handleGenerateKey: function(e) {
        Event.stop(e);
        this.listener.onGenerateKey(this);
    },

    _handleImportKey: function(e) {
        Event.stop(e);
        this.listener.onImportKey(this);
    },

    _createSuccessMessage: function(text) {
        var message = document.createElement("H3");
        message.appendChild(document.createTextNode(text));

        var result = document.createElement(Tag.DIV);
        Utils.addCssClass(result, "alertbox");
        result.appendChild(message);

        return result;
    }

});

KeystoreView.Listener = {
    onGenerateKey: function(view) {},
    onImportKey: function(view) {}
};