var ManageUsersPane = Class.create(ManageItemsPane, {

    deleteOwnedAccountsBox: null,

    setDeleteOwnedField: function(elem) {
        this.deleteOwnedAccountsBox = elem;
    },

    _handleClickDeleteOwned: function(input) {
        if (Object.isElement(this.deleteOwnedAccountsBox)) {
            this.deleteOwnedAccountsBox.value = $F(input) || false;
        }
    },

    _createConfirmDeleteDialog: function() {
        var dialog = new ModalDialog("ConfirmDeleteUserDialog");
        var content = dialog.getContent();

        var messagePanel = document.createElement(Tag.PARAGRAPH);
        Utils.setStyle(messagePanel, "font-weight:bold;");
        messagePanel.appendChild(document.createTextNode(ManageUsersPane.Messages.CONFIRM_DELETE));
        content.appendChild(messagePanel);

        var optionsPanel = document.createElement(Tag.DIV);
        Utils.setStyle(optionsPanel, "font-size:0.9em");
        var ownedAccountsBox = Utils.createInput(Tag.INPUT_TYPE_CHECKBOX, "ownedAccountsBox", "true");
        ownedAccountsBox.id = ownedAccountsBox.name;
        Utils.setStyle(ownedAccountsBox, "margin-right:0.5em;vertical-align:sub");
        Event.observe(ownedAccountsBox, "click", this._handleClickDeleteOwned.bind(this, ownedAccountsBox));

        optionsPanel.appendChild(ownedAccountsBox);
        optionsPanel.appendChild(Utils.createLabel(ManageUsersPane.Labels.OWNED_ACCOUNTS, ownedAccountsBox.id));
        optionsPanel.appendChild(document.createElement("BR"));
        content.appendChild(optionsPanel);

        dialog.addButton(ModalDialog.BUTTON_OK, ManageUsersPane.Buttons.OK, this.deleteConfirmed.bind(this));
        dialog.addButton(ModalDialog.BUTTON_CANCEL, ManageUsersPane.Buttons.CANCEL);

        return dialog;
    }

});

ManageUsersPane.Buttons = {OK: "OK", CANCEL: "Cancel"};
ManageUsersPane.Messages = {CONFIRM_DELETE: "Delete selected user(s)?"};
ManageUsersPane.Labels = {OWNED_ACCOUNTS: "Delete owned accounts"};
