var QuotaPane = Class.create({

    enabledControl: null,
    quotaControl: null,
    periodControl: null,
    listeners: null,

    _constructor: function(enabledControl, quotaControl, periodControl) {
        this.enabledControl = enabledControl;
        this.quotaControl = quotaControl;
        this.periodControl = periodControl;
        this.listeners = [];

        this.setEnabled(this.enabledControl.checked);
        this.enabledControl.onclick = this._handleChanged.bind(this);

        new NumberEditor(this.periodControl).setMinValue(0);
        new NumberEditor(this.quotaControl).setMinValue(0);
    },

    setEnabled: function(enabled) {
        Utils.setEnabled(this.quotaControl, enabled);
        Utils.setEnabled(this.periodControl, enabled);
        this.enabledControl.checked = enabled;
    },

    isEnabled: function() {
        return this.enabledControl.checked;
    },

    addChangeListener: function(listener) {
        if (listener && Object.isFunction(listener.stateChanged)) {
            this.listeners.push(listener);
        }
    },

    _handleChanged: function() {
        this.setEnabled(this.isEnabled());

        for (var i = 0; i < this.listeners.length; ++i) {
            this.listeners[i].stateChanged(this);
        }
    }
});