function ProgressView(listener) {
    this._constructor(listener);
}
(function() {

    ProgressView.prototype = {

        container: null,
        statusText: null,
        timeText: null,
        progressBar: null,
        cancelButton: null,

        _constructor: function(listener) {
            this.container = $("uploadprogress");
            this.statusText = $("uploadstatus");
            this.timeText = $("uploadtime");
            this.progressBar = new ProgressBar($("pbcontainer"));
            this.cancelButton = $("cancelupload");
            this.cancelButton.onclick = listener.onCancel.bind(listener);
        },

        setVisible: function(value) {
            this.container.style.display = value ? "block" : "none";
            this.progressBar.setVisible(value);

            Utils.setVisible($("logininfo"), !value);
            Utils.setVisible($("messagebar"), !value);
            Utils.setVisible($("buttonsbar"), !value);
            Utils.setVisible($("uploadcontainer"), !value);
            Utils.setVisible($("search"), !value);
            Utils.setVisible($("list"), !value);
            Utils.setVisible($("tagcloud"), !value);
        },

        setIndeterminate: function() {
            if (!this.progressBar.isIndeterminate()) {
                this.progressBar.setIndeterminate(true);
            }
        },

        setProgress: function(value) {
            this.progressBar.setProgress(value);
        },

        setStatus: function(text) {
            this._setMessage(this.statusText, text);
        },

        setTime: function(text) {
            this._setMessage(this.timeText, text);
        },

        _setMessage: function(holder, text) {
            var node = document.createTextNode(text);
            if (holder.firstChild) {
                holder.replaceChild(node, holder.firstChild);
            } else {
                holder.appendChild(node);
            }
        }
    };
})();